; ===========================
; Vectrex
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "7e8cd112-54be-43d4-9fec-e3c8e4238ade"
name = "vectrex"
fullname = "Vectrex"
platforms = "vectrex"
theme.folder = "vectrex"
roms.folder = "%ROOT%/vectrex"
screenscraper.id = 102
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/consoles/vectrex"
doc.link.en = "https://wiki.recalbox.com/en/emulators/consoles/vectrex"
port = 0
readonly = 0
icon.unicode = $F240

[properties]
type = console
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = no
release.date = "1982-11"
manufacturer = "MB"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_VECX
priority = 1
emulator = "libretro"
core = "vecx"
extensions = ".vec .bin .zip .7z"
netplay = 0
compatibility = high
speed = high
